import type { Fill } from './types';
export declare const StyledRoot: import("styletron-react").StyletronComponent<"div", {
    $fill?: Fill;
    $height?: string;
    $width?: string;
}>;
export declare const StyledSegmentList: import("styletron-react").StyletronComponent<"div", {}>;
export declare const StyledSegment: import("styletron-react").StyletronComponent<"button", {
    $fill?: Fill;
    $focusVisible?: boolean;
    $isActive?: boolean;
    $hasArtwork?: boolean;
    $hasLabel?: boolean;
}>;
export declare const StyledArtworkContainer: import("styletron-react").StyletronComponent<"div", {}>;
export declare const StyledActive: import("styletron-react").StyletronComponent<"div", {
    $length?: number;
    $distance?: number;
    $animate?: boolean;
}>;
export declare const StyledSegmentPanel: import("styletron-react").StyletronComponent<"div", {
    $pad: boolean;
}>;
export declare const StyledLabel: import("styletron-react").StyletronComponent<"div", {
    $hasArtwork: boolean;
}>;
export declare const StyledDescription: import("styletron-react").StyletronComponent<"div", {}>;
